Subject: bug#5833: 23.1.94; Opening files on network shares on w32 is slow

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Apr 2010 15:33:40 +0300

> From: Mathias Dahl <[email-masked]>
> Date: Mon, 5 Apr 2010 13:35:44 +0200
> Cc: [email-masked]
> 
> Just now I tested this scenario in the latest pretest: I opened (from
> Dired) a file only 800 bytes in size. It took 7 seconds. I then opened
> another file, over 100 000 bytes and that also took 7 seconds. Opening
> the larger of the files in Notepad takes just above a second.

7 seconds is an eternity for such small files.

Btw, is "C-x C-f" faster than Dired, by any chance?

> If there are any other tests I can do, please let me know.

Can you tell if setting the following variables has any effect?

  (setq vc-handled-backends nil)
  (setq locate-dominating-stop-dir-regexp "")

(Please try them one by one, in that order.)